#pragma once

enum RecollectionErrorCode : int {
    SUCCEED = 0,
    SESSION_NULL,
    CONNECT_FAILED,
    PROXY_CREATE_FAILED,
    INPUT_INVALID,
    SERVER_ERROR,
    RESPONSE_NULL,
    RESPONSE_INVALID,
    UNKNOWN_ERROR = 99,
};

typedef struct RecollectionStatus {
    RecollectionErrorCode errCode;
    char errMsg[500];
} RecollectionStatus;

enum ImageFormat : int {
    Format_Invalid = 0,
    Format_RGB32,
    Format_ARGB32,
};

struct ImageData {
    int width;
    int height;
    unsigned char *pixel_data;
    int length;
    ImageFormat format;
};
